SCG

Hardware

  • Scale 5027R 2U Xeon Dual Socket Server, 128G ram, 4 x 2T drives

OS

  • Ubuntu 14.04 LTS AMD ALT 64bit

Hardware

* nScale 5027R 2U Xeon Dual Socket Server, 128G ram, 4 x 2T drives

CS AD setup

  • The machine is part of the *CS Active Directory

Accounts

  • To add or modify accounts: accounts@cs.uwaterloo.ca

Password Updates and LDAP

  • scg.cs is using the CS Active directory passwords now - so use that password.
  • Here are the rules for passwords and accessing scg.cs:
    • ssh keys still work and are recommended
    • When logging to scg.cs in try your Active Directory password - or if it fails try then try the first 8 characters or if it
  • Password Update Rules:
    • if you ever set your CS core password - that will change your Active Directory password also
    • if you ever set your windows domain password - that will change your Active Directory password
    • If you change your scg.cs password it will change your active directory password.

  • Aside: Not all CS hosts are using the Active Directory - yet - on the CS core when you update your password a special script also update the CS Active Directory to match - but it's really important to know that the CS Core does not actually authentic against the Active directory so there are times when both passwords can be different!

Software

  • uwcs-rsg-everything includes the following package summary:
    • uwcs-rsg-packaging - Package related utilities
    • uwcs-rsg-accounts - Account related utilities
    • uwcs-rsg-monitor - System Testing and Monitoring
    • uwcs-rsg-filesystem-utils - File System Utils
    • uwcs-rsg-ldap - LDAP utilities
    • uwcs-rsg-ssh - SSH and Remote Host Access
    • uwcs-rsg-remote - Remote Desktop Viewer utilities
    • uwcs-rsg-archivers - Archivers and utilities
    • uwcs-rsg-java - Java and Development
    • uwcs-rsg-compiler - Compilers and Development
    • uwcs-rsg-compiler-ocaml - OCAML Computer Language utilities
    • uwcs-rsg-gnome-utils - GNOME and GNOME SHell
    • uwcs-rsg-wine - Wine
    • uwcs-rsg-multimedia-core - Multimedia core support
    • uwcs-rsg-media-devices - K3B - Blueray playing/burning - Multimedia core support
    • uwcs-rsg-multimedia-converter - Multimedia Converters
    • uwcs-rsg-mailutil - Mail Utils
    • uwcs-rsg-math - Mail Utils
    • uwcs-rsg-database-clients - Database Clients
    • uwcs-rsg-pdf-utils - PDF utilities
    • uwcs-rsg-image-utils - Image Utils
    • uwcs-rsg-scanner-utils - Scanner Utils
    • uwcs-rsg-editors - EDITORS
    • uwcs-rsg-edit-libreoffice - Libre Office Environmet - EDITORS
    • uwcs-rsg-latex-full - Tex and Latex FULL
    • uwcs-rsg-latex-editor - Tex and LaTex Development Editor and related
    • uwcs-rsg-latex-converters - Tex and LaTex Development Converters
    • uwcs-rsg-latex-math - Tex and LaTex Development Math
    • uwcs-rsg-latex-libraries - Tex and LaTex Development Libraries

Quotas

  • See UbuntuQuota System has quota setup but not used yet

Backups

Email

  • apt-get install fetchmail bsd-mailx

Security

  • Denyhosts - installed - not configured

Subversion

      root@scg:/etc/init.d# cat svnserve 
      # Provides:          svnserve
      # Required-Start:    $local_fs $remote_fs $network $syslog
      # Required-Stop:     $local_fs $remote_fs $network $syslog
      # Default-Start:     2 3 4 5
      # Default-Stop:      0 1 6
      # X-Interactive:     true
      # Short-Description: Start/stop svnserve SVN server
      ### END INIT INFO
      #
      # svnserve      This init.d script is used to start svnserve.

      #
      ENV="env -i LANG=C PATH=/usr/local/bin:/usr/bin:/bin"

      . /lib/lsb/init-functions

      DAEMON=/usr/bin/svnserve 
      PIDFILE=/var/lock/svnserve
      ARGS=-d

      if [ -f /etc/default/svnserve ]
      then
         . /etc/default/svnserve 
      fi


      case "$1" in
         start)
           if [ -f "$PIDFILE" ]
           then
             echo -n "$DAEMON already running as `cat $PIDFILE`"
             exit 0
           fi

           echo -n "Starting: $DAEMON $ARGS"
           $DAEMON $ARGS
           rv=$?
           if [ $rv -eq 0 ]
           then
             echo "...OK"
             pidof "$DAEMON" > "$PIDFILE"
           else
             echo "...FAILED"
           fi
           ;;
         stop)
           if [ -f "$PIDFILE" ]
           then
             echo "Stopping $DAEMON"
             kill `cat $PIDFILE`
             rm -f "$PIDFILE"
           else
             echo "$DAEMON: not running"
           fi
           ;;

         status)
           if [ -f "$PIDFILE" ]
           then
             echo "$DAEMON is running: `cat $PIDFILE`"
           else
             echo "$DAEMON is not running"
           fi
           ;;
           
         restart|force-reload)
           $0 stop
           sleep 1
           $0 start
           ;;

         *)
           N=/etc/init.d/$0
           echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
           exit 1
           ;;
      esac

      exit 0
    • Note: the xinetd.d method fails! - we tried this:
    • apt-get install xinetd
    • Create /etc/xinetd.d/svn
   service svn
   {
        disable = no
        port = 3690
        socket_type = stream
        protocol = tcp
        wait = no
        type = UNLISTED
        user = root
        server = /usr/bin/svnserve
        server_args = -d
        #server_args = -i -r /myrepo
   }
    • /etc/init.d/xinetd restart

Virtual Machines

Console access via SCG

  • Must be root on scg.cs
    • ssh -X cscf-adm@scg.cs (2016 version)
    • sudo bash
    • your SSH login client must have X tunneling turned on
    • your login host must have xwindows running in order to display vmware
  • run vmware - this takes you directly to the penmath console
  • login with cscf-adm (2016 version)
  • Note: when you are done , you quit vmware and pick "Run in background" as the quit option when prompted

Starting VM

  • /etc/init.d/vmware_workstation_user start is used to start a vertual machine

Stopping VM

  • /etc/init.d/vmware_workstation_user stop is used to stop a vertual machine

Checking Status

  • /etc/init.d/vmware_workstation_user status reports running status
  • With a running VM
             Total running VMs: 1
             /home/vmware/Debian-6-64/Debian 6 64-bit.vmx
          
  • With NO running VM
             Total running VMs: 0
          

VM Images - penmath

    • Home folder: /home/vmware/Debian-6-64/Debian 6 64-bit.vmx

Licensing

Contact RSG for updated Keys
  • Log into scg.cs and root
  • Start VMware: vmware
    • Help
      • About VMware
      • Enter License Key

/etc/init.d/vmware_workstation_user script

   #!/bin/bash
   #
   # Should-Start: vmware
   # Default-Start: 2 3 4 5
   # Default-Stop: 0 1 6
   # Description: VMware VM image starter
   # ===========================================
   # Author: Mike Gore 27 May 2014 
   # What: This script will run a single VM as a service
   # Uses: VMware Workstation 8,9,10
   # ===========================================
   # vmrun command
   VMRUN=/usr/bin/vmrun
   NAME=`basename $0`
   # ===========================================
   # Define the full pathname of your VM here
   VM=
   # Example: 
   # VM=/home/cscf-adm/vmware/win7.vmx
   VM="/home/vmware/Debian-6-64/Debian 6 64-bit.vmx"
   # ===========================================
   # Check that VM has been defined

   if [ -z "$VM" ]
   then
      echo "You must define VM"
      echo "Example:"
      echo "   VM=\"/home/cscf-adm/vmware/win7.vmx\""
      echo "Note: This is the full name and path to the VM"
      exit 1
   fi

   # Check that the VMRUN command exists
   if [ ! -f "$VMRUN" ]
   then
      echo "$VMRUN command is missing"
      exit 1
   fi

   case $1 in
      start)
         STATS=`"$VMRUN" -T ws list "$VM" 2>/dev/null | grep "$VM"`
         if [ -n "$STATS" ]
         then
            echo "$STATS is already running"
            exit 1
         fi
         echo "Starting $VM"
         "$VMRUN" -T ws start "$VM" nogui
      ;;

      stop)
         echo "Stopping $VM"
         "$VMRUN" -T ws stop "$VM" soft
      ;;

      restart-force)
         echo "Restarting, with hard option, $VM"
         "$VMRUN" -T ws stop "$VM" hard
      ;;

      restart)
         echo "Restarting $VM"
         service "$NAME" stop
         service "$NAME" start
      ;;

      status)
         "$VMRUN" -T ws list "$VM"
      ;;

      install)
         if [ -f /etc/init.d/"$NAME" ]
         then
            echo "$NAME already exists in /etc/init.d"
            echo "If you are SURE this is correct run $NAME remove first"
            exit 1
         fi
         # Install Service
         chmod 755 "$NAME"
         cp -p "$NAME" /etc/init.d
         # If it did exist remove it first
         update-rc.d -f "$NAME" remove
         # Install Srevice
         update-rc.d "$NAME" defaults 95 01
      ;;

      remove)
         service "$NAME" stop
         update-rc.d -f "$NAME" remove
      ;;
      *)
         echo "usage: `"$NAME"` {start|stop|restart|restart-force|status|install|remove}"
      ;;
esac

Web Spaces

  • Group name needed to write to SCG web spaces: www-scg
  • Internal notes: See ST#103366

Web Redirects

  • FYI: scg.cs.uwaterloo.ca redirects to www.scg.uwaterloo.ca

Web file locations

  • CS WEB Location: www152.cs:/software/odyssey-3_apache/data/vhosts/cs.uwaterloo.ca/conferences
  • SCG WEB Location: www152.cs:/software/odyssey-3_apache/data/vhosts/www.scg.uwaterloo.ca

TRAC

  • /etc/init.d/start_SCG_trac.sh
      #!/bin/bash
      #Script to start trac automatically when linux boots.
      tracd --port=8000 --hostname=scg.cs.uwaterloo.ca --daemonize --auth="*,/home/rmprosser/Trac/digest.txt,trac" /home/rmprosser/Trac/MathBrush /home/rmprosser/Trac/SCG

TOMCAT

  • apt-get install tomcat6

Maple

  • See MapleInstallation
  • Older versions of maple are listed as mapleNN and xmapleNN where NN is the version number

Matlab

Fuse file system support

  • apt-get install fuse

SSHfs

  • apt-get install sshfs
  • See: SshFs

ILOM

Web Access to ILOM

  • scg-ilom.cs.uwaterloo.ca - returns only an empty screen
  • cscf-adm ( 2014 password )

Power On/Off or Cycle

  • See: ServiceProcessorV20zV40z#Controlling_the_system
  • Login from remote location:
  • Become the service user
    • su s
  • Turn On
    • platform set power state on [ -f ]
      • [-f] = force operation
  • Turn Off
    • platform set power state off [ -f ]
      • [-f] = force operation
  • Cycle Power:
    • platform set power state cycle [ -f ]
      • [-f] = force operation
  • View Power State
    • platform get power state
Topic revision: r16 - 2019-12-04 - LawrenceFolland
 
This site is powered by the TWiki collaboration platform Powered by PerlCopyright © 2008-2019 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback